package com.fs.doc.service;

import java.util.List;
import com.fs.doc.domain.DocOrder;
import com.fs.doc.param.DocOrderQueryParam;
import com.fs.doc.vo.DocOrderListQueryVO;

/**
 * 问医生Service接口
 * 
 * @author fs
 * @date 2023-01-09
 */
public interface IDocOrderService 
{
    /**
     * 查询问医生
     * 
     * @param orderId 问医生ID
     * @return 问医生
     */
    public DocOrder selectDocOrderById(Long orderId);

    /**
     * 查询问医生列表
     * 
     * @param docOrder 问医生
     * @return 问医生集合
     */
    public List<DocOrder> selectDocOrderList(DocOrder docOrder);

    /**
     * 新增问医生
     * 
     * @param docOrder 问医生
     * @return 结果
     */
    public int insertDocOrder(DocOrder docOrder);

    /**
     * 修改问医生
     * 
     * @param docOrder 问医生
     * @return 结果
     */
    public int updateDocOrder(DocOrder docOrder);

    /**
     * 批量删除问医生
     * 
     * @param orderIds 需要删除的问医生ID
     * @return 结果
     */
    public int deleteDocOrderByIds(Long[] orderIds);

    /**
     * 删除问医生信息
     * 
     * @param orderId 问医生ID
     * @return 结果
     */
    public int deleteDocOrderById(Long orderId);

    List<DocOrderListQueryVO> selectDocOrderListVOQuery(DocOrderQueryParam param);
}
